/*
 * This script moves + rotates the current selection so that
 * the track end selected by user connects to another track. The
 * original track is duplicated.
 * This script highly re-uses the Move-script.
 *
 * Copyright smf, some ideas taken from the QCad example scripts
 * last change: 2015-03-19
 */

include("../QCTrack.js");
include("../Move/Move.js");
include("../../Modify/Transform.js");

function DupMove(guiAction) {
    Transform.call(this, guiAction);

    this.lineSource = undefined;
    this.lineDest = undefined;
}

DupMove.prototype = new Move();

DupMove.prototype.beginEvent = function() {
    Transform.prototype.beginEvent.call(this);

    if (!this.verifySelection()) {
        return;
    }

    this.copies = 1; //copy original
    this.useCurrentAttributes = true; //use current attributes
    this.continueAfterMove = true;
    this.forceNewObject = true;
    this.setState(Move.State.SettingLineSource);
};

DupMove.init = function(basePath) {
    var action = new RGuiAction(QCTrack.MenuItem.DupMove, RMainWindowQt.getMainWindow());
    action.setRequiresDocument(true);
    action.setRequiresSelection(true);
    action.setScriptFile(basePath + "/DupMove.js");
    action.setIcon(basePath + "/DupMove.svg");
    action.setDefaultShortcut(new QKeySequence("q,d"));
    action.setGroupSortOrder(QCTrack.MenuOrder.GroupModification);
    action.setSortOrder(QCTrack.MenuOrder.DupMove);
    EAction.addGuiActionTo(action, QCTrack, true, false, false);
    var appWin = EAction.getMainWindow();
    appWin.addSelectionListener(action);
};

