/*
 * This script inserts the currently selected track
 * from the track widget connected to an already existing track.
 * This script highly re-uses the TrackWidgetInsert-script.
 *
 * Copyright smf, some ideas taken from the QCad example scripts
 * last change: 2015-01-25
 */

include("../QCTrack.js");
include("../TrackWidgetInsert/TrackWidgetInsert.js");

function TrackWidgetConnect(guiAction) {
    TrackWidgetInsert.call(this, guiAction);
    this.connect = true; //connect to existing tracks
}

TrackWidgetConnect.prototype = new TrackWidgetInsert();
TrackWidgetConnect.includeBasePath = includeBasePath;

TrackWidgetConnect.init = function(basePath) {
    var action = new RGuiAction(QCTrack.MenuItem.TrackWidgetConnect, RMainWindowQt.getMainWindow());
    action.setRequiresDocument(true);
    action.setScriptFile(basePath + "/TrackWidgetConnect.js");
    action.setIcon(basePath + "/TrackWidgetConnect.svg");
    action.setDefaultShortcut(new QKeySequence("q,c"));
    action.setGroupSortOrder(QCTrack.MenuOrder.GroupWidget);
    action.setSortOrder(QCTrack.MenuOrder.TrackWidgetConnect);
    EAction.addGuiActionTo(action, QCTrack, true, false, false);
    var appWin = EAction.getMainWindow();
    appWin.addSelectionListener(action);
};

