/*
 * This script ensures the object order of track layer objects.
 *
 * Copyright smf, some ideas taken from the QCad example scripts
 * last change: 2015-01-30
 */

//http://www.ribbonsoft.com/doc/qcad/3.0/developer/class_r_entity.html

include("../QCTrack.js");

function Version(guiAction) {
    EAction.call(this, guiAction);
}

Version.prototype = new EAction();
Version.includeBasePath = includeBasePath;

Version.prototype.beginEvent = function() {
    EAction.prototype.beginEvent.call(this);
    EAction.handleUserMessage(QCTrack.MenuItem.Version + ": " + QCTrack.VersionInfo);
    (new QMessageBox(null, QCTrack.MenuItem.Version, QCTrack.VersionInfo + "\n\n(c) smf at http://www.qcad.org/rsforum/\n\n"
        + "This software comes \"as-is\" and without any express or implied warranty. In no event shall smf be held liable "
        + "for any damages arising from the use of the software. Short: Use it freely and have fun, but at your own risk.\n\n"
        + "This software was made possible especially by the help and feedback of Andrew and Husky - thank you!",
        new QMessageBox.StandardButtons(QMessageBox.Ok), null, Qt.Dialog)).exec();
    this.terminate();
};

Version.init = function(basePath) {
    var action = new RGuiAction(QCTrack.MenuItem.Version, RMainWindowQt.getMainWindow());
    action.setRequiresDocument(false);
    action.setScriptFile(basePath + "/Version.js");
    action.setGroupSortOrder(QCTrack.MenuOrder.GroupOther);
    action.setSortOrder(QCTrack.MenuOrder.Version);
    EAction.addGuiActionTo(action, QCTrack, true, false, false);
};

